org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query

## Interface FloatLiteralQuery

All Superinterfaces:
  Query

    public interface FloatLiteralQuery
    extends Query

A representation of the model object 'Float Literal Query'.

The following features are supported:

- `Value`

Since:
  0.2
See Also:
  `QueryPackage.getFloatLiteralQuery()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`float` `getValue()` Returns the value of the 'Value' attribute.
`void` `setValue(float value)` Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.Query

`isCanBeCached, isCanHaveSideEffects, setCanBeCached, setCanHaveSideEffects`

### Method Detail

#### getValue

    float getValue()

Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' attribute.
See Also:
  `setValue(float)`, `QueryPackage.getFloatLiteralQuery_Value()`
Generated:
Model:

#### setValue

    void setValue(float value)

Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  `getValue()`
Generated: